<?php

// TODO: mai are sens asta?  de scos de tot momentan

namespace App\Utils\EmailBox;

abstract class GeneralAbstract
{

	public string $domain;

	public int $port = 0;

	public string $username;

	public string $password;

	public string $dir;

	public string $serverEncoding = 'UTF-8';


	abstract public function connect() :void;

	abstract public function disconnect() :void;

	abstract public function search(string $searchString) :array ;

	abstract public function getMail(string $idMail, bool $markAsSeen) :\PhpImap\IncomingMail ;

}